# validate_drp metric definitions
# Definitions from LPM-17 (the Science Requirements Document).
# http://ls.st/lpm-17

PA1:
  description: >
    The maximum rms of the unresolved source magnitude distribution around the mean value.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_minimum_gri:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_minimum_gri from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_design_gri:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_design_gri from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_stretch_gri:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_stretch_gri from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_minimum_uzy:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_minimum_uzy from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_design_uzy:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_design_uzy from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PF1_stretch_uzy:
  description: >
    The maximum fraction of magnitudes deviating by more than PA2_stretch_uzy from mean.
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_minimum_gri:
  description: >
    At most PF1_minimum_gri % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_design_gri:
  description: >
    At most PF1_design_gri % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_stretch_gri:
  description: >
    At most PF1_stretch_gri % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_minimum_uzy:
  description: >
    At most PF1_minimum_uzy % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_design_uzy:
  description: >
    At most PF1_design_uzy % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

PA2_stretch_uzy:
  description: >
    At most PF1_stretch_uzy % of magnitudes may deviate by more than this magnitude from the mean.
  unit: mmag
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 21
  tags: photometry

AM1:
  description: >
    The maximum rms of the astrometric distance distribution for stellar pairs with separations of D=5 arcmin (repeatability).
  unit: marcsec
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AM2:
  description: >
    The maximum rms of the astrometric distance distribution for stellar pairs with separations of D=20 arcmin (repeatability).
  unit: marcsec
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AM3:
  description: >
    The maximum rms of the astrometric distance distribution for stellar pairs with separations of D=200 arcmin (repeatability).
  unit: marcsec
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF1_minimum:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD1 milliarcsec (see AM1).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF1_design:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD1 milliarcsec (see AM1).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF1_stretch:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD1 milliarcsec (see AM1).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF2_minimum:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD2 milliarcsec (see AM2).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF2_design:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD2 milliarcsec (see AM2).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF2_stretch:
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD2 milliarcsec (see AM2).
  unit: '%'
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AF3_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: '%'
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD3 milliarcsec (see AM3).
  tags: astrometry

AF3_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: '%'
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD3 milliarcsec (see AM3).
  tags: astrometry

AF3_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: '%'
  description: >
    The maximum fraction of astrometric distances which deviate by more than AD3 milliarcsec (see AM3).
  tags: astrometry

AD1_minimum:
  description: >
    No more than AF1 of the astrometric distances will deviate by more than this from the median (see AM1, AF1).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD1_design:
  description: >
    No more than AF1 of the astrometric distances will deviate by more than this from the median (see AM1, AF1).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD1_stretch:
  description: >
    No more than AF1 of the astrometric distances will deviate by more than this from the median (see AM1, AF1).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD2_minimum:
  description: >
    No more than AF2 of the astrometric distances will deviate by more than this from the median (see AM2, AF2).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD2_design:
  description: >
    No more than AF2 of the astrometric distances will deviate by more than this from the median (see AM2, AF2).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD2_stretch:
  description: >
    No more than AF2 of the astrometric distances will deviate by more than this from the median (see AM2, AF2).
  unit: milliarcsecond
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  tags: astrometry

AD3_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: milliarcsecond
  description: >
    No more than AF3 of the astrometric distances will deviate by more than this from the median (see AM3, AF3).
  tags: astrometry

AD3_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: milliarcsecond
  description: >
    No more than AF3 of the astrometric distances will deviate by more than this from the median (see AM3, AF3).
  tags: astrometry

AD3_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 23
  unit: milliarcsecond
  description: >
    No more than AF3 of the astrometric distances will deviate by more than this from the median (see AM3, AF3).
  tags: astrometry

AB1:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The rms difference of separations measured between the r-band and any other filter will be no 
    larger than this.
  tags: astrometry

AB1_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The rms difference of separations measured between the r-band and any other filter will be no 
    larger than this.
  tags: astrometry

AB1_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The rms difference of separations measured between the r-band and any other filter will be no 
    larger than this.
  tags: astrometry

AB1_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The rms difference of separations measured between the r-band and any other filter will be no 
    larger than this.
  tags: astrometry

AB2:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    No more than ABF1% of the separation measurements between the r-band and any other filter
    will deviate by more than this amount from the mean.
  tags: astrometry

AB2_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    No more than ABF1% of the separation measurements between the r-band and any other filter
    will deviate by more than this amount from the mean.
  tags: astrometry

AB2_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    No more than ABF1% of the separation measurements between the r-band and any other filter
    will deviate by more than this amount from the mean.
  tags: astrometry

AB2_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    No more than ABF1% of the separation measurements between the r-band and any other filter
    will deviate by more than this amount from the mean.
  tags: astrometry

ABF1:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: '%'
  description: >
    No more than this percentage of separations between r-band and any other filter will deviate
    by more than AB2 from the mean.
  tags: astrometry

ABF1_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: '%'
  description: >
    No more than this percentage of separations between r-band and any other filter will deviate
    by more than AB2 from the mean.
  tags: astrometry

ABF1_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: '%'
  description: >
    No more than this percentage of separations between r-band and any other filter will deviate
    by more than AB2 from the mean.
  tags: astrometry

ABF1_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: '%'
  description: >
    No more than this percentage of separations between r-band and any other filter will deviate
    by more than AB2 from the mean.
  tags: astrometry

AA1:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The median error in absolute astrometric positions in each coordinate will be no larger than this.
  tags: astrometry

AA1_minimum:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The median error in absolute astrometric positions in each coordinate will be no larger than this.
  tags: astrometry

AA1_design:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The median error in absolute astrometric positions in each coordinate will be no larger than this.
  tags: astrometry

AA1_stretch:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 30
  unit: milliarcsecond
  description: >
    The median error in absolute astrometric positions in each coordinate will be no larger than this.
  tags: astrometry

TE1:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 31
  unit: ''
  description: >
    The averaged E1, E2, and Ex residual PSF ellipticity correlations
    must have median absolute value less than this for separations < 1 arcmin.
  tags: image_quality

TE2:
  reference:
    doc: LPM-17
    url: http://ls.st/lpm-17
    page: 31
  unit: ''
  description: >
    The averaged E1, E2, and Ex residual PSF ellipticity correlations
    must have median absolute value less than this for separations > 5 arcmin.
  tags: image_quality

modelPhotRepGal1:
  description: >
    The maximum rms of the resolved source model magnitude distribution around the mean value in the 1st faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepGal2:
  description: >
    The maximum rms of the resolved source model magnitude distribution around the mean value in the 2nd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepGal3:
  description: >
    The maximum rms of the resolved source model magnitude distribution around the mean value in the 3rd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepGal4:
  description: >
    The maximum rms of the resolved source model magnitude distribution around the mean value in the 4th faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepStar1:
  description: >
    The maximum rms of the unresolved source model magnitude distribution around the mean value in the 1st faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepStar2:
  description: >
    The maximum rms of the unresolved source model magnitude distribution around the mean value in the 2nd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepStar3:
  description: >
    The maximum rms of the unresolved source model magnitude distribution around the mean value in the 3rd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

modelPhotRepStar4:
  description: >
    The maximum rms of the unresolved source model magnitude distribution around the mean value in the 4th faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

psfPhotRepStar1:
  description: >
    The maximum rms of the unresolved source psf magnitude distribution around the mean value in the 1st faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

psfPhotRepStar2:
  description: >
    The maximum rms of the unresolved source psf magnitude distribution around the mean value in the 2nd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

psfPhotRepStar3:
  description: >
    The maximum rms of the unresolved source psf magnitude distribution around the mean value in the 3rd faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry

psfPhotRepStar4:
  description: >
    The maximum rms of the unresolved source psf magnitude distribution around the mean value in the 4th faintest bin.
  unit: mmag
  reference:
    doc: DM-21380
    url: https://jira.lsstcorp.org/browse/DM-21380
  tags: photometry
